Skip to content

Delta Heatmap Endpoint

GET
/api/v1/charts/delta-heatmap
curl --request GET \
--url https://example.com/api/v1/charts/delta-heatmap

Precomputed daily deltas grouped by day-of-week and day-of-month, read from delta_cache.

Successful Response

Media typeapplication/json
DeltaHeatmapResponse

Delta heatmap response — day-of-week and day-of-month aggregated deltas.

object
by_weekday
required
By Weekday
Array<object>
DeltaHeatmapCell

Aggregated delta stats for one day-of-week or day-of-month.

object
key
required
Key
integer
label
required
Label
string
avg_delta
required
Avg Delta
string
sum_delta
required
Sum Delta
string
count
required
Count
integer
by_monthday
required
By Monthday
Array<object>
DeltaHeatmapCell

Aggregated delta stats for one day-of-week or day-of-month.

object
key
required
Key
integer
label
required
Label
string
avg_delta
required
Avg Delta
string
sum_delta
required
Sum Delta
string
count
required
Count
integer

Example generated

{
"by_weekday": [
{
"key": 1,
"label": "example",
"avg_delta": "example",
"sum_delta": "example",
"count": 1
}
],
"by_monthday": [
{
"key": 1,
"label": "example",
"avg_delta": "example",
"sum_delta": "example",
"count": 1
}
]
}